org.apache.struts2.interceptor

## Class ClearSessionInterceptor

- java.lang.Object
- - com.opensymphony.xwork2.interceptor.AbstractInterceptor
  - - org.apache.struts2.interceptor.ClearSessionInterceptor

- All Implemented Interfaces:
    Interceptor, Serializable

      public class ClearSessionInterceptor
      extends AbstractInterceptor

  This interceptor clears the HttpSession.

  Interceptor parameters:

  - None
  - None

  Example:

       <action name="exampleAction" class="com.examples.ExampleAction">
           <interceptor-ref name="clearSession"/>
           <interceptor-ref name="defaultStack"/>
           <result name="success">example.jsp</result>
       </action>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClearSessionInterceptor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `intercept(ActionInvocation invocation)` Override to handle interception

    - ### Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor

      `destroy, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClearSessionInterceptor

          public ClearSessionInterceptor()

  - ### Method Detail

    - #### intercept

          public String intercept(ActionInvocation invocation)
                           throws Exception

      Description copied from class: `AbstractInterceptor`
      Override to handle interception
      Specified by:
        `intercept` in interface `Interceptor`
      Specified by:
        `intercept` in class `AbstractInterceptor`
      Parameters:
        `invocation` - the action invocation
      Returns:
        the return code, either returned from `ActionInvocation.invoke()`, or from the interceptor itself.
      Throws:
        `Exception` - any system-level error, as defined in `Action.execute()`.

Copyright © 2000–2021 Apache Software Foundation. All rights reserved.